#
# spec file for package unbound (Version 1.4.18)
#

# norootforbuild


Name:           unbound
BuildRequires:  bison libldns-devel autoconf automake libtool libexpat-devel
Summary:        Validating, recursive, and caching DNS resolver
Version:        1.4.18
Release:        7.1
License:        BSD 3-Clause
Group:          Productivity/Networking/DNS/Servers
Provides:       dns_daemon
# Requires:       
PreReq:         %fillup_prereq, %insserv_prereq, pwdutils
AutoReqProv:    on
Url:            http://www.unbound.net/
Source0:        http://www.unbound.net/downloads/%{name}-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.sysconfig
Source3:        %{name}.firewall
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unbound is a validating, recursive, and caching DNS resolver.

The C implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net.

Unbound is designed as a set of modular components, so that also DNSSEC
(secure DNS) validation and stub-resolvers (that do not run as a
server, but are linked into an application) are easily possible.



Authors:
--------
    Wouter Wijngaards
    Jakob Schlyter
    Roy Arends
    Ondej Sur&#339; 
    Alexander Gall

%package devel
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
Summary:        Development environment for unbound
Requires:       %{name} = %{version}, libopenssl-devel

%description devel
This package contains the development environment for the unbound DNS
resolver



Authors:
--------
    Wouter Wijngaards
    Jakob Schlyter
    Roy Arends
    Ondej Sur&#339; 
    Alexander Gall

%prep
%setup -q
perl -pi -e 's;(\.c=\.)o;${1}lo;g' Makefile.in

%build
autoreconf -f -i -v
%configure --with-pic \
	--docdir=%{_defaultdocdir}/%{name} \
	--disable-static \
	--disable-rpath \
    --with-ldns=%{_usr}
# we have to extract included ldns source first -- needs to be done by configure
make CFLAGS="$RPM_OPT_FLAGS -pthread"
# ---------------------------------------------------------------------------

%install
make DESTDIR=${RPM_BUILD_ROOT}  install
# init script
install -D -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d/%{name}
ln -sf /etc/init.d/%{name} ${RPM_BUILD_ROOT}/usr/sbin/rc%{name}
# sysconfig
install -D -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.%{name}
install -d -m 0750 ${RPM_BUILD_ROOT}/var/lib/unbound
# Firewall
install -D -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
%{__rm} -f %{buildroot}%{_libdir}/*.la
grep -r -E '^#include[ \t]+[<"][^>"]+[">]' %{buildroot}%{_includedir} | awk -F: '{print $2}'

%pre
/usr/sbin/useradd -r -o -g nogroup -s /bin/false -c "unbound DNS daemon" -d /var/lib/unbound unbound 2> /dev/null || :

%post
/sbin/ldconfig
%{fillup_only}

%preun
%stop_on_removal %{name}

%postun
/sbin/ldconfig
%restart_on_update %{name}
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(750,unbound,nogroup) %dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config %{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
%{_libdir}/lib%{name}.so.*
%{_sbindir}/%{name}
%{_sbindir}/%{name}-checkconf
%{_sbindir}/%{name}-host
%{_sbindir}/%{name}-control
%{_sbindir}/%{name}-control-setup
%{_sbindir}/%{name}-anchor
%{_sbindir}/rc%{name}
%attr(750,unbound,nogroup) %dir /var/lib/unbound
/var/adm/fillup-templates/sysconfig.%{name}
%doc %{_mandir}/man*/*
%doc README doc contrib

%files devel
%defattr(-,root,root)
%{_includedir}/unbound.h
%attr(0644,root,root) %{_libdir}/lib%{name}.so

%changelog
* Mon May 10 2010 lele@windmill.it
- Upgraded to 1.4.4
* Mon Apr 27 2009 crrodriguez@suse.de
- use system libldns
* Sat Apr 18 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed Sep 24 2008 ro@suse.de
- fix build
* Wed May 21 2008 kssingvo@suse.de
- first version, which compiles
